version: '3.7'
services:
  tester:
    image: "$CPPINTTEST_REGISTRY_IMAGE"
    networks:
      - docker_caosnet
    environment:
      - ENV_CPPLIB_VERSION: $CPPLIB_VERSION
    volumes:
      - type: bind
        source: ./cert
        target: /cert
      - type: volume
        source: extroot
        target: /extroot
      - type: volume
        source: scripting
        target: /scripting
      - type: volume
        source: authtoken
        target: /authtoken
networks:
  docker_caosnet:
    external: true
volumes:
  scripting:
  extroot:
  authtoken:
